Subject: Re: [Sipping] Comments on draft-ietf-sipping-sip-offeranswer-03

From: Takuya Sawada <[email-masked]>
Date: Mon, 15 Oct 2007 23:08:34 +0900

Hi Byron, Paul,

> 
> Byron Campen wrote:
> 
> > I anticipate confusion on this issue; if we drew this diagram like this 
> > instead:
> > 
> >              A          B
> >              |          |
> > INVITE (sdp) |-.       /| INVITE (sdp)
> >              |  '-.   / |
> >              |     '-/  |
> >              |      / ->|
> >              |     /  .-| 491
> >              |    /.-'  |
> >              |<-./'     |
> >              |  /       |
> >              | /        |
> >              |<         |
> >              |          |
> >    ????????  |--------->|
> >              |          |
> > 
> > I would bet good money that a significant number of implementors will 
> > expect that A should send a 491, "because it is a glare situation". 
> > Basically, B shouldn't abandon its offer until it is definitively 
> > rejected (ie, it should not be abandoning its offer when the other offer 
> > comes in).
> 
Now I understand what you (Byron) said.

> Live and learn - it would never have occurred to me that any other 
> behavior made sense.
> 
Well, then, should we add the text for this case?

Regards,
Takuya

> 	Paul
> 
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP
> 
> 

--------
Takuya Sawada
KDDI Corporation (KDDI)
Garden Air Tower, 3-10-10, Iidabashi, 
Chiyoda-ku, Tokyo 102-8460, Japan
Tel: +81-3-6678-2997
Fax: +81-3-6678-0286
[email-masked]

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP